' ----------------------------------------------------------------------------------
' Microsoft Developer & Platform Evangelism
' 
' Copyright (c) Microsoft Corporation. All rights reserved.
' 
' THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
' OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ----------------------------------------------------------------------------------
' The example companies, organizations, products, domain names,
' e-mail addresses, logos, people, places, and events depicted
' herein are fictitious.  No association with any real company,
' organization, product, domain name, email address, logo, person,
' places, or events is intended or should be inferred.
' ----------------------------------------------------------------------------------

Imports System.ServiceModel
Imports Microsoft.Samples.Discovery.Contracts

Namespace Microsoft.Samples.Discovery.LegacyChat

    <ServiceBehavior(InstanceContextMode := InstanceContextMode.Single)>
    Public Class ChatService
        Implements ISimpleChatService
        Private chatForm As LegacyChatForm

        Public Sub New(ByVal form As LegacyChatForm)
            Me.chatForm = form
        End Sub

        Public Sub ProcessSimpleMessage(ByVal message As ChatMessage) Implements ISimpleChatService.ProcessSimpleMessage
            Me.chatForm.ProcessSimpleMessage(message)
        End Sub
    End Class
End Namespace